# Convert

## Convert Html to Markdown

<mark style="color:green;">`POST`</mark> `https://api.fluxpoint.dev/convert/html-markdown`

Convert html to markdown by giving the API some html string content.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

#### Request Body

| Name                                   | Type     | Description                   |
| -------------------------------------- | -------- | ----------------------------- |
| html<mark style="color:red;">\*</mark> | String   | Convert this html to markdown |
| body                                   | Json Key | Convert this html to markdown |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "markdown": "# Hello"
}
```

{% endtab %}
{% endtabs %}

## Convert Markdown to Html

<mark style="color:green;">`POST`</mark> `https://api.fluxpoint.dev/convert/markdown-html`

Convert markdown to html by giving the API some markdown string content.

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

#### Request Body

| Name     | Type     | Description                   |
| -------- | -------- | ----------------------------- |
| markdown | String   | Convert this markdown to html |
| body     | Json Key |                               |

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "html": "<h1>Hello</h1>"
}
```

{% endtab %}
{% endtabs %}

## Convert Image to png

<mark style="color:green;">`POST`</mark> `https://api.fluxpoint.dev/convert/image-png`

Convert given image data to png, max file size is 15 MB.

#### Query Parameters

| Name    | Type | Description                        |
| ------- | ---- | ---------------------------------- |
| quality | Int  | Set the image quality from 1 - 100 |

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

#### Request Body

| Name                                         | Type | Description               |
| -------------------------------------------- | ---- | ------------------------- |
| Image Data<mark style="color:red;">\*</mark> | File | Send the image to convert |

{% tabs %}
{% tab title="200: OK " %}
\[ Image Data as Stream/Bytes ]
{% endtab %}
{% endtabs %}

## Convert Image to jpg

<mark style="color:green;">`POST`</mark> `https://api.fluxpoint.dev/convert/image-jpg`

Convert given image data to jpg, max file size is 15 MB.

#### Query Parameters

| Name    | Type | Description                        |
| ------- | ---- | ---------------------------------- |
| quality | Int  | Set the image quality from 1 - 100 |

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

#### Request Body

| Name                                         | Type | Description               |
| -------------------------------------------- | ---- | ------------------------- |
| Image Data<mark style="color:red;">\*</mark> | File | Send the image to convert |

{% tabs %}
{% tab title="200: OK " %}
\[ Image Data as Stream/Bytes ]
{% endtab %}
{% endtabs %}

## Convert Image to webp

<mark style="color:green;">`POST`</mark> `https://api.fluxpoint.dev/convert/image-webp`

Convert given image data to webp, max file size is 15 MB.

#### Query Parameters

| Name    | Type | Description                        |
| ------- | ---- | ---------------------------------- |
| quality | Int  | Set the image quality from 1 - 100 |

#### Headers

| Name                                            | Type | Description                                           |
| ----------------------------------------------- | ---- | ----------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> |      | Your API token here <https://fluxpoint.dev/api/token> |

#### Request Body

| Name                                         | Type | Description               |
| -------------------------------------------- | ---- | ------------------------- |
| Image Data<mark style="color:red;">\*</mark> | File | Send the image to convert |

{% tabs %}
{% tab title="200: OK " %}
\[ Image Data as Stream/Bytes ]
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fluxpoint.dev/api/endpoints/convert.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
